Class SmartHandsRequestsImpl
java.lang.Object
com.eqixiac.equinix.customerportal.client.implementation.SmartHandsRequestsImpl
- All Implemented Interfaces:
SmartHandsRequests
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreateCableRequest(SmartHandsRequestJson request) Requests a cable.createCageCleanup(SmartHandsRequestJson request) Requests a cage cleanup.createCageEscort(SmartHandsRequestJson request) Requests an escort into a cage.Requests equipment installation per your specifications by an IBX technician.createLocatePackage(SmartHandsRequestJson request) Requests a package to be located.Requests a jumper cable to be moved.createOther(SmartHandsRequestJson request) Requests another smart hands service not covered by a dedicated type.Requests a patch cable to be installed.Requests a patch cable to be removed.Requests pictures or documentation of equipment.Requests a jumper cable to be run.Requests inbound shipment unpacking and packaging disposal.List<? extends SmartHandsLocation> Lists the IBX locations, cages and cabinets where the current user may place smart hands orders.List<? extends SmartHandsLocation> listLocations(Boolean detail, String ibxs, String cages) Lists the IBX locations, cages and cabinets where the current user may place smart hands orders, optionally filtered.List<? extends SmartHandType> Lists all supported smart hands order types.
-
Constructor Details
-
SmartHandsRequestsImpl
public SmartHandsRequestsImpl()
-
-
Method Details
-
createEquipmentInstall
Description copied from interface:SmartHandsRequestsRequests equipment installation per your specifications by an IBX technician.- Specified by:
createEquipmentInstallin interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createShipmentUnpack
Description copied from interface:SmartHandsRequestsRequests inbound shipment unpacking and packaging disposal.- Specified by:
createShipmentUnpackin interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createMoveJumperCable
Description copied from interface:SmartHandsRequestsRequests a jumper cable to be moved.- Specified by:
createMoveJumperCablein interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createCageEscort
Description copied from interface:SmartHandsRequestsRequests an escort into a cage.- Specified by:
createCageEscortin interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createLocatePackage
Description copied from interface:SmartHandsRequestsRequests a package to be located.- Specified by:
createLocatePackagein interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createPicturesDocument
Description copied from interface:SmartHandsRequestsRequests pictures or documentation of equipment.- Specified by:
createPicturesDocumentin interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createPatchCableInstall
Description copied from interface:SmartHandsRequestsRequests a patch cable to be installed.- Specified by:
createPatchCableInstallin interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createPatchCableRemoval
Description copied from interface:SmartHandsRequestsRequests a patch cable to be removed.- Specified by:
createPatchCableRemovalin interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createCageCleanup
Description copied from interface:SmartHandsRequestsRequests a cage cleanup.- Specified by:
createCageCleanupin interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createCableRequest
Description copied from interface:SmartHandsRequestsRequests a cable.- Specified by:
createCableRequestin interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createRunJumperCable
Description copied from interface:SmartHandsRequestsRequests a jumper cable to be run.- Specified by:
createRunJumperCablein interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
createOther
Description copied from interface:SmartHandsRequestsRequests another smart hands service not covered by a dedicated type.- Specified by:
createOtherin interfaceSmartHandsRequests- Parameters:
request- the smart hands request body- Returns:
- the created order response
-
listLocations
Description copied from interface:SmartHandsRequestsLists the IBX locations, cages and cabinets where the current user may place smart hands orders.- Specified by:
listLocationsin interfaceSmartHandsRequests- Returns:
- the list of permitted locations
-
listLocations
Description copied from interface:SmartHandsRequestsLists the IBX locations, cages and cabinets where the current user may place smart hands orders, optionally filtered.Maps to
GET /v1/orders/smarthands/locations(getLocation).- Specified by:
listLocationsin interfaceSmartHandsRequests- Parameters:
detail- whentrue, returns detailed permission with cages and cabinets, ornullfor the defaultibxs- a comma-separated list of IBX codes to filter by (e.g.AM1,AM2), ornullcages- a comma-separated list of cage ids to filter by (e.g.AM1:02:002MC1), ornull- Returns:
- the list of permitted locations
-
listTypes
Description copied from interface:SmartHandsRequestsLists all supported smart hands order types.- Specified by:
listTypesin interfaceSmartHandsRequests- Returns:
- the list of supported types
-